data:extend{
  {
    type = "solar-panel",
    name = "mini-solar-panel",
    icon = "__mini-solar-panel__/graphics/icons/mini-solar-panel.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "mini-solar-panel"},
    max_health = 20,
    corpse = "small-remnants",
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "solar"
    },
    picture =
    {
      filename = "__mini-solar-panel__/graphics/entity/mini-solar-panel/mini-solar-panel.png",
      priority = "high",
      width = 36,
      height = 32
    },
    production = "5kW"
  },
  {
    type = "item",
    name = "mini-solar-panel",
    icon = "__mini-solar-panel__/graphics/icons/mini-solar-panel.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "d[mini-solar-panel]-a[mini-solar-panel]",
    place_result = "mini-solar-panel",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "mini-solar-panel",
    energy_required = 2,
    enabled = false,
    ingredients =
    {
      {"steel-plate", 1},
      {"electronic-circuit", 3},
      {"copper-plate", 1}
    },
    result = "mini-solar-panel"
  },
}

local tech = data.raw.technology["solar-energy"]
if tech then
  table.insert( tech.effects, { type = "unlock-recipe", recipe = "mini-solar-panel" } )
end